using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text.RegularExpressions;
using Assets.Native.tools.excel.Util;
using CommonUtil;
using EditorUtils;
using Newtonsoft.Json;
using UnityEditor;
using UnityEditor.Timeline.Actions;
using iHuman.UnitySz.Framework;
using UnityEngine;
using System.Threading.Tasks;
using Assets.app.Editor.tools.PoetryConfig.common;

 
public class DeleteUnused
{
    static String dirRoot = "Assets/art/game/gushi/say"; //Assets/art/game/gushi/say/0016/config

    // [MenuItem("Assets/自定义创建/古诗/say/删除没用资源")]
    public static void deleteUnusedThings() {
        string[] dirs = Directory.GetDirectories(dirRoot);
        foreach(string dir in dirs) {
            string path = Path.Combine(dir,"config");
            string meta = Path.Combine(dir,"config.meta");
            if(Directory.Exists(path)) 
                Directory.Delete(path,true);
            if(File.Exists(meta)) 
                File.Delete(meta);
        }
        
        
        
        
        
    }
}